List calls
Get a paginated list of calls for your organization. Supports filtering by agent, status, and date range. Requires calls:read scope.
Authorization
api-key AuthorizationBearer <token>
API Key (alto_live_... or alto_test_...)
In: header
Query Parameters
dateTo?string
Filter to date (ISO 8601)
dateFrom?string
Filter from date (ISO 8601)
status?string
Filter by call status
agentId?string
Filter by agent UUID
limit?number
Results per page, 1-100 (default: 50)
page?number
0-based page number (default: 0)
Response Body
application/json
curl -X GET "https://example.com/api/v1/public/calls"{ "success": true, "data": [ { "callId": "01945a2b-...", "agentId": "01945a2b-...", "phoneNumber": "+79001234567", "direction": "outbound", "status": "completed", "amdCategory": "human", "durationSeconds": 120, "costKopecks": 4500, "createdAt": "2026-02-15T14:30:00.000Z" } ], "meta": { "page": 0, "limit": 50, "total": 150, "pages": 3 }}Empty
Empty
Empty